﻿@{
    ViewBag.Title = "Email Verification";
    Layout = "~/Views/Shared/GeneralLayout.cshtml";
}

<h2>Email Verification</h2>

<p>Please check your email for the verification OTP and enter it below:</p>

@using (Html.BeginForm("Login", "Home", FormMethod.Post, new { @class = "form-horizontal needs-validation", novalidate = "novalidate" }))
{
    @Html.AntiForgeryToken()

    <div class="form-group">
        @Html.Label("OTP:", new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @Html.TextBox("otp", null, new { @class = "form-control", required = "required" })
            <div class="invalid-feedback">
                Please enter the OTP.
            </div>
        </div>
    </div>

    <div class="form-group">
        <div class="col-md-offset-2 col-md-10">
            <input type="submit" value="Verify" class="btn btn-primary btn-verify" />
        </div>
    </div>
}

@if (TempData["SuccessMessage"] != null)
{
    <div class="alert alert-success">
        @TempData["SuccessMessage"]
    </div>
}

@section Scripts {
    <script>
        $(document).ready(function () {
            // Place any additional scripts or logic here if needed.
        });

        // Bootstrap form validation
        (function () {
            'use strict';

            // Fetch all the forms we want to apply custom Bootstrap validation styles to
            var forms = document.querySelectorAll('.needs-validation');

            // Loop over them and prevent submission
            Array.prototype.slice.call(forms).forEach(function (form) {
                form.addEventListener('submit', function (event) {
                    if (!form.checkValidity()) {
                        event.preventDefault();
                        event.stopPropagation();
                    }

                    form.classList.add('was-validated');
                }, false);
            });
        })();
    </script>
}
